PETSc version 3.17.4
Fix/Edit manual page

# PetscSFWindowGetSyncType

Get synchronization type for PetscSF communication

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowGetSyncType(PetscSF sf,PetscSFWindowSyncType *sync)

Logically Collective

### Input Parameter

| sf | - star forest for communication

### Output Parameter

| sync | - synchronization type

### See Also

PetscSFSetFromOptions(), PetscSFWindowSetSyncType()

### Level

advanced

### Location

src/vec/is/sf/impls/window/sfwindow.c

### Implementations

PetscSFWindowGetSyncType_Window in src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages